Association miner

Association miner is an association rule mining program that utilizes the Apriori and FPGrowth algorithm. It enables the user to create and view charts showing rules in support/confidence, support/confirmation-s, support/confirmation-f and support/anti-support planes. Rules can be saved in special structures for later use as well as be exported to Excel format.

Association miner benefits are:

  1. Optimal pareto rule generation in several measure dimensions at once.
  2. Chart exemplification of important thesis
  3. Rule export capabilities

How to install the program and get started is explained in the Getting Started section.

The application's dialogs (forms) are explained in the Dialogs section.

For any questions please refer to http://www.cs.put.poznan.pl/iszczech/

For any suggestions contact Izabela Szczech


Getting Started

Consult the following pages for information on installation and starting to use the program.
  • Installation
  • Starting the program


Installation

System Requirements

Microsoft .Net Framework 2.0 or higher
Windows 2000/ME/XP

Installation

The program does not require any special installation steps and is ready to use as long as the system requirements are all met.


Starting the program

To start Association miner, click the Association miner icon found in the installation directory.


Tutorial

INSERT HERE TEXT EXPLAINING HOW TO USE THE APPLICATION. IT IS GENERALLY USEFUL TO CREATE SEVERAL SEPERATE TOPICS DISCUSSING DIFFERENT USE CASES.


Dialogs

  • AboutBox
  • Chart dialog
  • Chart creation dialog
  • CreateMultiChart
  • Database
  • Miner
  • Minimal support
  • Multi Chart
  • AboutBox
  • Database


Miner

This is the main form of the program and gives access to all the options provided by the Association Miner.

Strip1DGV

Menus:

  • File
  • Open Data File
  • Open Rule File
  • Save Rule File
  • Exit
  • Options
  • Show Database
  • Minimal support
  • Create Chart
  • Create Multichart
  • Help
  • Help Topics
  • About

File

Provides basic file options.

Open Data File

Opens a data file that is either in *arff or MSWeb *.data format.

Open Rule File

Opens a *.rff rule file and displays the rules in the data grid.

Save Rule File

Saves currently used rules to a *.rff file or exports them to an Excel worksheet.

Exit

Exits the program.

Options

Provides basic data manipulation and chart creation options.

Show Database

Shows the database that was last imported from a data file.

Minimal support

Shows the minimal support dialog.

Create Chart

Shows the chart creation dialog.

Create Multichart

Shows the multichart creation dialog.

Help

Provide basic help options.

Help Topics

Opens this help file.

About

Shows the program and author information.

Controls:

  • DGV

DGV

premiseconclusionsuppconfsfa-supp

premise

If clicked sorts the premise column alfabetically

conclusion

If clicked sorts the conclusion column alfabetically

supp

If clicked sorts the support column

conf

If clicked sorts the confidence column

s

If clicked sorts the confirmation-s value column

f

If clicked sorts the confirmation-f value column

a-supp

If clicked sorts the anti-support column


Chart

Container1

  • Show border
  • Show only pareto
  • Show only selection
  • Show invisible
  • Minimal support
  • Minimal confidence
  • Save image

Show border

Shows the confirmation border.

Show only pareto

Shows only rules that are pareto optimal in the specified plane. If the Show invisible checkbox is selected then rules that are not pareto optimal will be shown as hollow shapes on the chart. Otherwise the rules that are not pareto optimal will not be shown at all.

Show only selection

Shows on the chart only the rules that are within the selection lasso. The selection lasso i s always drawn when the user presses the mouse on the chart picture and moves the mouse selecting rules.

Show invisible

Forces rules that should not be drawn (they are not pareto optimal/not within selection/are in the shaded part of the chart) to appear on the chart as hollow shapes.

Minimal support

Defines the minimal support for the shown rules. If the minimal support provided by the user in the textbox is lower than the one used to generate the rules the field corresponding to that support will still stay shaded.

Minimal y-axis value


Show only pareto

Shows only rules that are pareto optimal in the specified plane. If the Show invisible checkbox is selected then rules that are not pareto optimal will be shown as hollow shapes on the chart. Otherwise the rules that are not pareto optimal will not be shown at all.


Show only selection

Shows on the chart only the rules that are within the selection lasso. The selection lasso i s always drawn when the user presses the mouse on the chart picture and moves the mouse selecting rules.


Show invisible

Forces rules that should not be drawn (they are not pareto optimal/not within selection/are in the shaded part of the chart) to appear on the chart as hollow shapes.


Minimal support

Defines the minimal support for the shown rules. If the minimal support provided by the user in the textbox is lower than the one used to generate the rules the field corresponding to that support will still stay shaded.


Minimal y-axis value

Minimal confidence

Specifies the minimal confidence value that will allow a rule to be shown on the chart.


Minimal confidence

Save image

Saves the chart image in *.bmp format.


Show border

Shows the confirmation border.


Chart creation dialog

Choose chart typeChoose conclusionCancelOK

Controls:

  • Choose chart type
  • Choose conclusion
  • Cancel
  • OK

Choose chart type

confidenceconfirmation sconfirmation fanti-supportall

confidence

Creates a chart showing rules in the support/confidence plane.

confirmation s

Creates a chart showing rules in the support/confirmation-s plane.

confirmation f

Creates a chart showing rules in the support/confirmation-f plane.

anti-support

Creates a chart showing rules in the support/anti-support plane.

all

When selected creates all four of the above charts.

Choose conclusion

Box1

Allows the user to choose a conclusion for which the chart(s) will be created. Charts can only be created for rules with the same conclusion.

Cancel

Cancels the chart generation process.

OK

Creates the selected charts. Note: At least one checkbox has to be selected for this operation to succeed.


Minimal support

OKCancelMinimal support value for rule generationOptional

Controls:

  • OK
  • Cancel
  • Minimal support value for rule generation
  • Optional

OK

Generates rules that fulfill the given measure requirements.

Cancel

Cancels the rule generation process.

Minimal support value for rule generation

Specifies the minimal support value that will be used to generate rules. This field must be filled in order to generate rules. The provided values must be greater than 0 and less or equal to 1.

Optional

The optional measure requirements. If left empty they are not taken into account.

Minimal confidenceMinimal confirmation-sMaximal anti-supportMinimal confirmation-f

Minimal confidence

Specifies the minimal confidence value that will be used to generate rules. The provided values must be between 0 and 1.

Minimal confirmation-s

Specifies the minimal confirmation-s value that will be used to generate rules. The provided values must be between -1 and 1.

Maximal anti-support

Specifies the maximal anti-support value that will be used to generate rules. The provided values must be between 0 and 1.

Minimal confirmation-f

Specifies the minimal confirmation-f value that will be used to generate rules. The provided values must be between -1 and 1.


Multi chart creation dialog


CreateMultiChart

Choose conclusionCancelOK

Choose conclusion

Box1

Allows the user to choose a conclusion for which the chart(s) will be created. Charts can only be created for rules with the same conclusion.

Cancel

Cancels the chart generation process.

OK

Creates the selected charts. Note: At least one checkbox has to be selected for this operation to succeed.


Multi Chart

Container1

Controls:

  • Show border
  • Show only pareto
  • Show only selection
  • Show invisible
  • Minimal support
  • Minimal confidence
  • Minimal confirmation_s
  • Minimal confirmation_f
  • Maximal anti-support
  • Save image


Monimal confirmation

Monimal confirmation-s

Specifies the minimal confirmation-s value that will allow a rule to be shown on the chart.


Minimal confirmation

Minimal confirmation-f

Specifies the minimal confirmation-f value that will allow a rule to be shown on the chart.


maximal support

Maximal anti-support

Specifies the maximal anti-support value that will allow a rule to be shown on the chart.


AboutBox

LayoutPanel

Controls:

  • LayoutPanel

LayoutPanel


Database

GridView1

Controls:

  • GridView1

GridView1


Copyright

The copyright and intellectual property rights of this software, Association_miner, and all its documentation, including this online help system, are owned by Poznan University of Technology, and are protected by copyright laws and international intellectual property right treaties. You may not copy any portion of the software or documentation in any form, except to use this software in accordance with the terms of the agreement or to make one copy for backup purposes. You may not alter the software in any way. If copies of the documentation must be made, you should make them in printed form only.


Contents for Association_miner

  • Association_miner
    • Introduction
    • Getting Started
      • Installation
      • Starting the program
    • Tutorial
    • Dialogs
      • Miner
      • Chart dialog
        • Show only pareto
        • Show only selection
        • Show invisible
        • Minimal support
        • Minimal y-axis value
        • Save image
        • Show border
      • Chart creation dialog
      • Minimal support
      • Multi chart creation dialog
        • CreateMultiChart
      • Multi Chart
        • Show border
        • Show only pareto
        • Show only selection
        • Show invisible
        • Minimal support
        • Save image
        • Minimal confidence
        • Minimal confirmation_s
        • Minimal confirmation_f
        • Maximal anti-support
      • AboutBox
      • Database
    • Copyright